libqt4-core and all other binary packages should be uploaded to same repository component

Bug #1519310 reported by Sneetsher on 2015-11-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
Undecided
Unassigned

Bug Description

libqt4-core is a transitional package, uploaded to "universe" in the official Ubuntu repository.

Its dependencies: libqtcore4 libqt4-xml libqt4-test libqt4-script libqt4-network libqt4-dbus are uploaded to "main".

They are built from the same source package. This just creates an "unmet dependency" error, if the user don't enable both components "universe" (+"main" enabled by default) with same repositories of "updates", "security" & "backports".

I think that the libqt4-core package and all other transitional packages should be moved to "main".

I face this dependency problem on Ask Ubuntu, for more details: http://askubuntu.com/questions/700096/libqt4-core-has-unmet-dependencies/

Sneetsher (sneetsher) on 2015-11-24
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers